<div class="d-flex justify-content-end">
  <p-button styleClass="p-button-sm my-3" label="Crear opción de catálogo" icon="pi pi-plus" (onClick)="openNew()"></p-button>
</div>
<p-table [value]="catalogos" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:90%">Nombre del campo</th>
      <th style="width: 10%;"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-cat>
    <tr>
      <td style="width:90%">{{cat.nombre}}</td>
      <td style="width: 10%">
        <div class="d-flex justify-content-center">
          <i class="pi pi-trash mr-2" (click)="deleteCatalogo(cat.id,$event)"></i>
          <i class="pi pi-pencil edit" (click)="editView = true; catalogo = cat"></i>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>

<div class="d-flex justify-content-start">
  <a [routerLink]="['../']">
    <p-button styleClass="p-button-sm my-3 back" label="Volver"></p-button>
  </a>
</div>


<p-dialog header="Nuevo catálogo" [(visible)]="viewCreate" [breakpoints]="{'960px': '75vw'}" [style]="{width: '60vw'}" [draggable]="false"
  [resizable]="false" [modal]="true">
  <form>
    <div class="form-group">
      <label for="">Nombre campo:</label>
      <input class="form-control" type="text" name="nombre" id="nombre" [(ngModel)]="catalogo.nombre" autocomplete="off"
        placeholder="Ingrese el nombre del campo">
    </div>
    <div class="form-group" *ngIf="isMinistros">
      <label for="">Fecha inicio:</label>
      <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha de inicio"
        [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaInicio" id="fechaInicio"
        [(ngModel)]="catalogo.fechaInicio" styleClass="w-100"></p-calendar>
    </div>
    <div class="form-group" *ngIf="isMinistros">
      <label for="">Fecha final:</label>
      <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha final"
        [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaFin" id="fechaFin" [(ngModel)]="catalogo.fechaFin"
        styleClass="w-100"></p-calendar>
    </div>

  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="null" label="Crear" (onClick)="createCatalogo()"></p-button>
  </ng-template>
</p-dialog>

<p-dialog header="Edición catálogo" [(visible)]="editView" [breakpoints]="{'960px': '75vw'}" [style]="{width: '60vw'}" [draggable]="false"
  [resizable]="false" [modal]="true">
  <form>
    <div class="form-group">
      <label for="">Nombre campo:</label>
      <input class="form-control" type="text" name="nombre" id="nombre" [(ngModel)]="catalogo.nombre" autocomplete="off"
        placeholder="Ingrese el nombre del campo">
    </div>
    <div class="form-group" *ngIf="isMinistros">
      <label for="">Fecha inicio:</label>
      <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha de inicio"
        [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaInicio" id="fechaInicio"
        [(ngModel)]="catalogo.fechaInicio" styleClass="w-100"></p-calendar>
    </div>
    <div class="form-group" *ngIf="isMinistros">
      <label for="">Fecha final:</label>
      <p-calendar dataType="string" dateFormat="dd-mm-yy" [showIcon]="true" placeholder="Escriba o seleccione la fecha final"
        [yearNavigator]="true" [monthNavigator]="true" yearRange="1000:2030" name="fechaFin" id="fechaFin" [(ngModel)]="catalogo.fechaFin"
        styleClass="w-100"></p-calendar>
    </div>
  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="null" label="Actualizar" (onClick)="updateCatalogo()"></p-button>
  </ng-template>
</p-dialog>

<p-confirmPopup></p-confirmPopup>
